Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath
Class FunctionParameter

    java.lang.Object
      de.grogra.vecmath.FunctionParameter

Direct Known Subclasses:
  CutConeParameter, CutRay2Parameter

    public class FunctionParameter

extends java.lang.Object

A basic class for function-parameters. Inherit from this class to extends with special parameters. Mainly used for old GroGra-functions.

Author:
  Jan D�rer

Constructor Summary
`FunctionParameter()` Standardconstructor initialized the attributes with false
`FunctionParameter(boolean correct, boolean exists)` Specialconstructor to initialized the attributes with custom-values

Method Summary
`boolean` | `isCorrect()` Getter for the correct-attribute
`boolean` | `isExists()` Getter for the exists-attribute
`void` | `setCorrect(boolean correct)` Setter for the correct-attribute
`void` | `setExists(boolean exists)` Setter for the exists-attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionParameter

    public FunctionParameter()

  Standardconstructor initialized the attributes with false

### FunctionParameter

    public FunctionParameter(boolean correct,
                             boolean exists)

  Specialconstructor to initialized the attributes with custom-values

  Parameters:
    `correct` - The function works correct
    `exists` - Values exists after running a function

Method Detail

### isCorrect

    public boolean isCorrect()

  Getter for the correct-attribute

  Returns:
    true, when defined values exists after running a function

### isExists

    public boolean isExists()

  Getter for the exists-attribute

  Returns:
    true, when the function works correct

### setCorrect

    public void setCorrect(boolean correct)

  Setter for the correct-attribute

  Parameters:
    `correct` - State for the correct-attribute

### setExists

    public void setExists(boolean exists)

  Setter for the exists-attribute

  Parameters:
    `exists` - State for the exists-attribute

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD